Subject: Re: [bug#37519] [PATCH v2 2/2] gnu: add iwd.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 29 Sep 2019 23:01:09 +0200

Hi,

"[email-masked]" <[email-masked]> skribis:

> I managed to reproduce the issue in a VM, previously I was building in NixOS. Unfortunately I wasn't successful in fixing it. 
>
> Alpine disabled the test that fail for Guix: https://git.alpinelinux.org/aports/tree/community/iwd/disable-eapol-test.patch

I straced ‘test-eapol’ and got this:

--8<---------------cut here---------------start------------->8---
8701  add_key("keyring", "ell-internal", NULL, 0, KEY_SPEC_THREAD_KEYRING) = 618338105
8701  add_key("asymmetric", "ell-key-0", "0"..., 1219, 618338105) = -1 EBADMSG (Malbona mesaĝo)
8701  write(2, "test-eapol: unit/test-eapol.c:2959: eapol_sm_test_tls: Assertion `l_tls_set_auth_data(s->tls, CERTDIR \"cert-server.pem\", CERTDIR \"cert-server-key-pkcs8.pem\", NULL)' failed.\n", 173) = 173
--8<---------------cut here---------------end--------------->8---

I didn’t know about the add_key(2) syscall, but looking at the man page,
it seems that the “asymmetric” type is not supported (but EBADMSG is not
documented either…).

Could you check what the intertubes have to say on this topic, or
whether changes have been made in ell (where ‘l_tls_set_auth_data’ is
defined) in this area?

Thanks in advance!

Ludo’.